    //Initiating balance enthalpy fields
    Info<< "Initiating balance enthalpy fields\n" << endl;

    volScalarField hs
    (
        IOobject
        (
            "hs",
            runTime.timeName(),
            mesh,
            IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        rho*cp*(T-Tmelt),
        alpha3.boundaryField().types()
    );

    volScalarField hl
    (
        IOobject
        (
            "hl",
            runTime.timeName(),
            mesh,
            IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        alpha3*rho*L,
        alpha3.boundaryField().types()
    );

    volScalarField h
    (
        IOobject
        (
            "h",
            runTime.timeName(),
            mesh,
            IOobject::NO_READ,
            IOobject::AUTO_WRITE
        ),
        hs+hl,
        alpha3.boundaryField().types()
    );

    surfaceScalarField heatFlux
    (
        IOobject
        (
            "heatFlux",
            runTime.timeName(),
            mesh
        ),
        fvc::interpolate(lambda)*fvc::snGrad(T)*mesh.magSf()   
    );

    dimensionedScalar energyInput
    (
        "energyInput",
        gSum(h)*gSum(mesh.V().field())
    );
